<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->

<!DOCTYPE html>
<html>
	<head>
		<title>Chat</title>
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
		<link rel="stylesheet" href="https://use.f1ontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/malihu-custom-scrollbar-plugin/3.1.5/jquery.mCustomScrollbar.min.css">
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/malihu-custom-scrollbar-plugin/3.1.5/jquery.mCustomScrollbar.min.js"></script>
		<link rel="stylesheet" href="css_chat_mejorado.css">
	</head>
	<!--Coded With Love By Mutiullah Samim-->
	<body>
		<div class="container-fluid h-100">
			<div class="row justify-content-center h-100">
				<div class="col-md-4 col-xl-3 chat"><div class="card mb-sm-3 mb-md-0 contacts_card">
					<div class="card-header">
						<div class="input-group">
							<input type="text" placeholder="Search..." name="" class="form-control search">
							<div class="input-group-prepend">
								<span class="input-group-text search_btn"><i class="fas fa-search"></i></span>
							</div>
						</div>
					</div>
					<div class="card-body contacts_body">
						<ui id='users_list' class="contacts">
					
						</ui>
					</div>
					<div class="card-footer"></div>
				</div></div>
				<div class="col-md-8 col-xl-6 chat">
					<div class="card">
						<div class="card-header msg_head">
							<div class="d-flex bd-highlight">
								<div class="img_cont">
									<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/5f/User_with_smile.svg/1200px-User_with_smile.svg.png" class="rounded-circle user_img">
									<span class="online_icon"></span>
								</div>
								<div class="user_info">
									<span id="usuario_actual"></span>
									<p>Ya puedes escribir</p>
								</div>
								<div class="video_cam">
									<span><i class="fas fa-video"></i></span>
									<span><i class="fas fa-phone"></i></span>
								</div>
							</div>
							<span id="action_menu_btn"><i class="fas fa-ellipsis-v"></i></span>
							<div class="action_menu">
								<ul>
									<li><i class="fas fa-user-circle"></i> View profile</li>
									<li><i class="fas fa-users"></i> Add to close friends</li>
									<li><i class="fas fa-plus"></i> Add to group</li>
									<li><i class="fas fa-ban"></i> Block</li>
								</ul>
							</div>
						</div>


						<!-- MENSAJES:  -->
						<div id="mensajes" class="card-body msg_card_body">

						</div >


						<div class="card-footer">
							<!-- <div class="input-group"> -->
							<form id="form" class="input-group"> 
								<div class="input-group-append">
									<span class="input-group-text attach_btn"><i class="fas fa-paperclip"></i></span>
								</div>
								

									<input type="text" id="caja_de_mensaje" name="" class="form-control type_msg" placeholder="Escribe tu mensaje..."></<input>
									<div class="input-group-append">
										<span class="input-group-text send_btn"><input type="submit" class="fas fa-location-arrow"></input></span>
									</div>
							</form>
							<!-- </div> -->
						</div>
					</div>
				</div>
			</div>
		</div>
	
	<script>
		// este script viene de la plantilla css
		$(document).ready(function(){
		$('#action_menu_btn').click(function(){
			$('.action_menu').toggle();
		});
			});
	</script>

	<script src="socket.io/socket.io.js"></script>
	<script src="./js/socket-chat.js"></script>

	<script>
		var params = new URLSearchParams(window.location.search);
		var usuario = {
    		nombre: params.get("nombre"),
		};

		// implementando chat con jquery:
		$(function () {
			// var socket = io();
			var socket = io({transports: ['websocket'], upgrade: false});


			$("form").submit(function (e) {
				e.preventDefault(); // prevents page reloading
				socket.emit("chat message", $("#caja_de_mensaje").val(), usuario.nombre);
				$("#caja_de_mensaje").val("");
				return false;
			});

			socket.on("mensaje desde server", function (msg, usuario_que_hablo) {
				// console.log("MI MSG:"+ msg)
				$("#messages").append($("<li>").text(msg));

				var mensajes = document.getElementById("mensajes");
				// console.log("usuarios: ", usuario.nombre," - ",name)
				if(usuario.nombre == usuario_que_hablo ){
					mensajes.insertAdjacentHTML(
					"beforeend",
					`
					<div class="d-flex justify-content-start mb-4">
									<div class="img_cont_msg">
										<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/5f/User_with_smile.svg/1200px-User_with_smile.svg.png" class="rounded-circle user_img_msg">
									</div>
									<div class="msg_cotainer">
										${msg}
										<span class="msg_time">${usuario_que_hablo} ha dicho</span>
									</div>
					</div>
					`
					);	
				}else{
					mensajes.insertAdjacentHTML(
					"beforeend",
					`
					<div class="d-flex justify-content-end mb-4">
								<div class="msg_cotainer_send">
									${msg}
									<span class="msg_time_send">${usuario_que_hablo} ha dicho</span>
								</div>
								<div class="img_cont_msg">
							<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/5f/User_with_smile.svg/1200px-User_with_smile.svg.png" class="rounded-circle user_img_msg">
								</div>
							</div>
					`
					);	
				}

			});
		});

		
	</script>

</body>

</html>
